<template>
  <a @click="sendAction()"
      v-bind:data-url="getHref"
      v-bind:class="getClassNames"
  >
    <i class="getIcon"></i> {{ this.text }}
  </a>
</template>

<script>
import $ from "jquery";
import axios from "axios";

export default {
  name: "ButtonSimpleItem",
  props: {
    lien:{
      type: String,
      default: 'javascript:void(0);'
    },
    text: {
      type: String,
      default: ''
    },
    icon: {
      type: String,
      default: ''
    },
    classes: {
      type: String,
      default: ''
    },
    message: {
      type: String,
      default:' Succès !'
    },
    datas: {
      type: String,
      default: ''
    },
    typeAction: {
      type: String,
      default: 'get'
    }
  },
  computed: {
    getHref() {
      return `${this.lien}`
    },
    getIcon() {
      return `fas fa-${this.icon}`
    },
    getClassNames() {
      return `${this.classes}`
    }
  },
  methods: {
     async sendAction() {
       const { data } = await this.$http.get(
             this.lien
         );
         if (data.hasOwnProperty('id')) {
           $(data.id).remove();
         }

         if (data.hasOwnProperty('compteur') && data.compteur < 1) {
           $('#emptyText').append('<p class="alert color-green">'+data.messageEmpty+"</p>")
         }
         if (data.hasOwnProperty('message')) {
           this.$notification.success(data.message)
         }
         else {
           this.$notification.success(this.message)
         }

    }
  }
}
</script>

<style scoped>
  .btn {
    width: 100%;
  }
  .white-link, .white-link:hover, .white-link:visited {
    color: #ffffff;
  }
</style>